.J1 9 Concert
.K1 9 CONCERT "Khoros Collaboration Program" "Mark Young"
.K0 CONCERT
.NH 1 "INTRODUCTION"
.XS
\s12\*(SN  INTRODUCTION\s0
.XE
.sp 2
.PP
\fBConcert\fP is a collaboration program, with which two or more people may
"share" the execution of one of the main Khoros xvroutines:  \fBanimate,
editimage, putimage, warpimage, viewimage, xprism2,\fP 
\fBxprism3\fP, or \fBcantata\fP.  When \fBconcert\fP is used, the 
specified application 
program will appear on all the displays that are indicated, and the same
execution of the program will be reflected on each display.
.PP
\fBConcert\fP may be used as an instructional tool, or it may be
used so that two or more people can collaborate on the analysis of a
problem using one of the above Khoros programs; accordingly,
\fBconcert\fP may be run in one of two modes: master/slave mode, or
equal-participant mode.  Regardless of the mode that \fBconcert\fP is run in,
it is HIGHLY RECOMMENDED that all \fBconcert\fP users remain in verbal
communication with each other at all times.  If users remain within
hearing range of one another, this is not a problem;  however, if separated
by distance, use of the telephone is recommended during the use of 
\fBconcert\fP.
.sp 3
.NH 1 "USING CONCERT"
.XS
\s12\*(SN  USING CONCERT\s0
.XE
.PP
.IP "Master/Slave Mode"
When \fBconcert\fP is run in master/slave mode, by specifying [-master 1],
it is for instructional or demonstrational purposes.  The user on the
display on which the execution of \fBconcert\fP was initiated acts as the 
"master"; all other users agree to be "slaves".  The "master" controls all 
I/O for the program being run; the actions of the "master" are reflected 
on all other displays.  "Slave" users are limited to simply observing the 
actions of the "master".  Any input that a "slave" user attempts to initiate on the running program will be ignored.  Thus, this mode of \fBconcert\fP 
may be used in instructing new users of Khoros in the correct use of one of the
abovementioned Khoros programs.  Other uses may include bug reports and demos.
Verbal contact should be maintained between the "master" user (who should be
giving a running explanation of his actions as he uses the desired program)
and the "slave" users (who should be allowed to interrupt to ask questions
at any time).
.IP "Equal-Participant Mode"
When \fBconcert\fP is run in equal-participant mode (the default mode), 
all users are equal participants in the running program;  each can provide 
input to the program at any time, the program's response to which will be 
reflected on the displays of all the other users.  While this provides a 
valuable method of collaborating with others on the solution of a problem 
using one of the Khoros applications, its success depends entirely on the 
cooperation of the users!  It is easy (and often tempting) to "fight" with 
other users over control of the program.  Contention over control of the 
program will lead to confusion and loss of productivity.  To avoid this, 
it is recommended that all users remain in close verbal contact with each 
other at all times;  users should take turns controlling the program, and 
should agree on who is to provide input to the program before doing so.
.PP
Before running \fBconcert\fP, it is required that all users give permission to
the machine on which \fBconcert\fP is executed to send X Events to their 
displays.  Each user of \fBconcert\fP (besides the one who executes the 
\fBconcert\fP program) must execute the following command:
.sp
\f(CW
% xhost machine:display
\fP
.sp
Where "machine:display" is the name of the machine and display from which
\fBconcert\fP is executed.
.sp
.PP
\fBConcert\fP is not highly developed at this time;  it is still
an experimental program as of Khoros 1.0, and it will take much more time and
research before it will be considered a mature Khoros application.  However,
while not embued with many of the desired niceties at this time, the 
\fBconcert\fP program is functional, and should serve its purpose
sufficiently.
.TC 9 CONCERT
